Index: uspace/srv/net/structures/measured_strings.c
===================================================================
--- uspace/srv/net/structures/measured_strings.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/measured_strings.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -54,36 +54,42 @@
  *  @returns NULL if there is not enough memory left.
  */
-size_t *	prepare_lengths( const measured_string_ref strings, size_t count );
-
-measured_string_ref measured_string_create_bulk( const char * string, size_t length ){
-	measured_string_ref	new;
-
-	if( length == 0 ){
-		while( string[ length ] ) ++ length;
-	}
-	new = ( measured_string_ref ) malloc( sizeof( measured_string_t ) + ( sizeof( char ) * ( length + 1 )));
-	if( ! new ) return NULL;
+size_t * prepare_lengths(const measured_string_ref strings, size_t count);
+
+measured_string_ref measured_string_create_bulk(const char * string, size_t length){
+	measured_string_ref new;
+
+	if(length == 0){
+		while(string[length]){
+			++ length;
+		}
+	}
+	new = (measured_string_ref) malloc(sizeof(measured_string_t) + (sizeof(char) * (length + 1)));
+	if(! new){
+		return NULL;
+	}
 	new->length = length;
-	new->value = (( char * ) new ) + sizeof( measured_string_t );
+	new->value = ((char *) new) + sizeof(measured_string_t);
 	// append terminating zero explicitly - to be safe
-	memcpy( new->value, string, new->length );
-	new->value[ new->length ] = '\0';
+	memcpy(new->value, string, new->length);
+	new->value[new->length] = '\0';
 	return new;
 }
 
-measured_string_ref measured_string_copy( measured_string_ref source ){
-	measured_string_ref	new;
-
-	if( ! source ) return NULL;
-	new = ( measured_string_ref ) malloc( sizeof( measured_string_t ));
-	if( new ){
-		new->value = ( char * ) malloc( source->length + 1 );
-		if( new->value ){
+measured_string_ref measured_string_copy(measured_string_ref source){
+	measured_string_ref new;
+
+	if(! source){
+		return NULL;
+	}
+	new = (measured_string_ref) malloc(sizeof(measured_string_t));
+	if(new){
+		new->value = (char *) malloc(source->length + 1);
+		if(new->value){
 			new->length = source->length;
-			memcpy( new->value, source->value, new->length );
-			new->value[ new->length ] = '\0';
+			memcpy(new->value, source->value, new->length);
+			new->value[new->length] = '\0';
 			return new;
 		}else{
-			free( new );
+			free(new);
 		}
 	}
@@ -91,173 +97,187 @@
 }
 
-int measured_strings_receive( measured_string_ref * strings, char ** data, size_t count ){
-	ERROR_DECLARE;
-
-	size_t *		lengths;
-	size_t			index;
-	size_t			length;
-	char *			next;
-	ipc_callid_t	callid;
-
-	if(( ! strings ) || ( ! data ) || ( count <= 0 )){
-		return EINVAL;
-	}
-	lengths = ( size_t * ) malloc( sizeof( size_t ) * ( count + 1 ));
-	if( ! lengths ) return ENOMEM;
-	if(( ! async_data_write_receive( & callid, & length ))
-	|| ( length != sizeof( size_t ) * ( count + 1 ))){
-		free( lengths );
-		return EINVAL;
-	}
-	if( ERROR_OCCURRED( async_data_write_finalize( callid, lengths, sizeof( size_t ) * ( count + 1 )))){
-		free( lengths );
-		return ERROR_CODE;
-	}
-	* data = malloc( lengths[ count ] );
-	if( !( * data )) return ENOMEM;
-	( * data )[ lengths[ count ] - 1 ] = '\0';
-	* strings = ( measured_string_ref ) malloc( sizeof( measured_string_t ) * count );
-	if( !( * strings )){
-		free( lengths );
-		free( * data );
+int measured_strings_receive(measured_string_ref * strings, char ** data, size_t count){
+	ERROR_DECLARE;
+
+	size_t * lengths;
+	size_t index;
+	size_t length;
+	char * next;
+	ipc_callid_t callid;
+
+	if((! strings) || (! data) || (count <= 0)){
+		return EINVAL;
+	}
+	lengths = (size_t *) malloc(sizeof(size_t) * (count + 1));
+	if(! lengths){
+		return ENOMEM;
+	}
+	if((! async_data_write_receive(&callid, &length))
+		|| (length != sizeof(size_t) * (count + 1))){
+		free(lengths);
+		return EINVAL;
+	}
+	if(ERROR_OCCURRED(async_data_write_finalize(callid, lengths, sizeof(size_t) * (count + 1)))){
+		free(lengths);
+		return ERROR_CODE;
+	}
+	*data = malloc(lengths[count]);
+	if(!(*data)){
+		return ENOMEM;
+	}
+	(*data)[lengths[count] - 1] = '\0';
+	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) * count);
+	if(!(*strings)){
+		free(lengths);
+		free(*data);
 		return ENOMEM;
 	}
 	next = * data;
-	for( index = 0; index < count; ++ index ){
-		( * strings)[ index ].length = lengths[ index ];
-		if( lengths[ index ] > 0 ){
-			if(( ! async_data_write_receive( & callid, & length ))
-			|| ( length != lengths[ index ] )){
-				free( * data );
-				free( * strings );
-				free( lengths );
+	for(index = 0; index < count; ++ index){
+		(*strings)[index].length = lengths[index];
+		if(lengths[index] > 0){
+			if((! async_data_write_receive(&callid, &length))
+				|| (length != lengths[index])){
+				free(*data);
+				free(*strings);
+				free(lengths);
 				return EINVAL;
 			}
-			ERROR_PROPAGATE( async_data_write_finalize( callid, next, lengths[ index ] ));
-			( * strings)[ index ].value = next;
-			next += lengths[ index ];
-			* next = '\0';
+			ERROR_PROPAGATE(async_data_write_finalize(callid, next, lengths[index]));
+			(*strings)[index].value = next;
+			next += lengths[index];
+			*next = '\0';
 			++ next;
 		}else{
-			( * strings )[ index ].value = NULL;
-		}
-	}
-	free( lengths );
-	return EOK;
-}
-
-int measured_strings_reply( const measured_string_ref strings, size_t count ){
-	ERROR_DECLARE;
-
-	size_t *		lengths;
-	size_t			index;
-	size_t			length;
-	ipc_callid_t	callid;
-
-	if(( ! strings ) || ( count <= 0 )){
-		return EINVAL;
-	}
-	lengths = prepare_lengths( strings, count );
-	if( ! lengths ) return ENOMEM;
-	if(( ! async_data_read_receive( & callid, & length ))
-	|| ( length != sizeof( size_t ) * ( count + 1 ))){
-		free( lengths );
-		return EINVAL;
-	}
-	if( ERROR_OCCURRED( async_data_read_finalize( callid, lengths, sizeof( size_t ) * ( count + 1 )))){
-		free( lengths );
-		return ERROR_CODE;
-	}
-	free( lengths );
-	for( index = 0; index < count; ++ index ){
-		if( strings[ index ].length > 0 ){
-			if(( ! async_data_read_receive( & callid, & length ))
-			|| ( length != strings[ index ].length )){
+			(*strings)[index].value = NULL;
+		}
+	}
+	free(lengths);
+	return EOK;
+}
+
+int measured_strings_reply(const measured_string_ref strings, size_t count){
+	ERROR_DECLARE;
+
+	size_t * lengths;
+	size_t index;
+	size_t length;
+	ipc_callid_t callid;
+
+	if((! strings) || (count <= 0)){
+		return EINVAL;
+	}
+	lengths = prepare_lengths(strings, count);
+	if(! lengths){
+		return ENOMEM;
+	}
+	if((! async_data_read_receive(&callid, &length))
+		|| (length != sizeof(size_t) * (count + 1))){
+		free(lengths);
+		return EINVAL;
+	}
+	if(ERROR_OCCURRED(async_data_read_finalize(callid, lengths, sizeof(size_t) * (count + 1)))){
+		free(lengths);
+		return ERROR_CODE;
+	}
+	free(lengths);
+	for(index = 0; index < count; ++ index){
+		if(strings[index].length > 0){
+			if((! async_data_read_receive(&callid, &length))
+				|| (length != strings[index].length)){
 				return EINVAL;
 			}
-			ERROR_PROPAGATE( async_data_read_finalize( callid, strings[ index ].value, strings[ index ].length ));
-		}
-	}
-	return EOK;
-}
-
-int measured_strings_return( int phone, measured_string_ref * strings, char ** data, size_t count ){
-	ERROR_DECLARE;
-
-	size_t *	lengths;
-	size_t		index;
-	char *		next;
-
-	if(( phone <= 0 ) || ( ! strings ) || ( ! data ) || ( count <= 0 )){
-		return EINVAL;
-	}
-	lengths = ( size_t * ) malloc( sizeof( size_t ) * ( count + 1 ));
-	if( ! lengths ) return ENOMEM;
-	if( ERROR_OCCURRED( async_data_read_start( phone, lengths, sizeof( size_t ) * ( count + 1 )))){
-		free( lengths );
-		return ERROR_CODE;
-	}
-	* data = malloc( lengths[ count ] );
-	if( !( * data )) return ENOMEM;
-	* strings = ( measured_string_ref ) malloc( sizeof( measured_string_t ) * count );
-	if( !( * strings )){
-		free( lengths );
-		free( * data );
+			ERROR_PROPAGATE(async_data_read_finalize(callid, strings[index].value, strings[index].length));
+		}
+	}
+	return EOK;
+}
+
+int measured_strings_return(int phone, measured_string_ref * strings, char ** data, size_t count){
+	ERROR_DECLARE;
+
+	size_t * lengths;
+	size_t index;
+	char * next;
+
+	if((phone <= 0) || (! strings) || (! data) || (count <= 0)){
+		return EINVAL;
+	}
+	lengths = (size_t *) malloc(sizeof(size_t) * (count + 1));
+	if(! lengths){
+		return ENOMEM;
+	}
+	if(ERROR_OCCURRED(async_data_read_start(phone, lengths, sizeof(size_t) * (count + 1)))){
+		free(lengths);
+		return ERROR_CODE;
+	}
+	*data = malloc(lengths[count]);
+	if(!(*data)){
+		return ENOMEM;
+	}
+	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) * count);
+	if(!(*strings)){
+		free(lengths);
+		free(*data);
 		return ENOMEM;
 	}
 	next = * data;
-	for( index = 0; index < count; ++ index ){
-		( * strings )[ index ].length = lengths[ index ];
-		if( lengths[ index ] > 0 ){
-			ERROR_PROPAGATE( async_data_read_start( phone, next, lengths[ index ] ));
-			( * strings )[ index ].value = next;
-			next += lengths[ index ];
-			* next = '\0';
+	for(index = 0; index < count; ++ index){
+		(*strings)[index].length = lengths[index];
+		if(lengths[index] > 0){
+			ERROR_PROPAGATE(async_data_read_start(phone, next, lengths[index]));
+			(*strings)[index].value = next;
+			next += lengths[index];
+			*next = '\0';
 			++ next;
 		}else{
-			( * strings )[ index ].value = NULL;
-		}
-	}
-	free( lengths );
-	return EOK;
-}
-
-int measured_strings_send( int phone, const measured_string_ref strings, size_t count ){
-	ERROR_DECLARE;
-
-	size_t *	lengths;
-	size_t		index;
-
-	if(( phone <= 0 ) || ( ! strings ) || ( count <= 0 )){
-		return EINVAL;
-	}
-	lengths = prepare_lengths( strings, count );
-	if( ! lengths ) return ENOMEM;
-	if( ERROR_OCCURRED( async_data_write_start( phone, lengths, sizeof( size_t ) * ( count + 1 )))){
-		free( lengths );
-		return ERROR_CODE;
-	}
-	free( lengths );
-	for( index = 0; index < count; ++ index ){
-		if( strings[ index ].length > 0 ){
-			ERROR_PROPAGATE( async_data_write_start( phone, strings[ index ].value, strings[ index ].length ));
-		}
-	}
-	return EOK;
-}
-
-size_t * prepare_lengths( const measured_string_ref strings, size_t count ){
-	size_t *	lengths;
-	size_t		index;
-	size_t		length;
-
-	lengths = ( size_t * ) malloc( sizeof( size_t ) * ( count + 1 ));
-	if( ! lengths ) return NULL;
+			(*strings)[index].value = NULL;
+		}
+	}
+	free(lengths);
+	return EOK;
+}
+
+int measured_strings_send(int phone, const measured_string_ref strings, size_t count){
+	ERROR_DECLARE;
+
+	size_t * lengths;
+	size_t index;
+
+	if((phone <= 0) || (! strings) || (count <= 0)){
+		return EINVAL;
+	}
+	lengths = prepare_lengths(strings, count);
+	if(! lengths){
+		return ENOMEM;
+	}
+	if(ERROR_OCCURRED(async_data_write_start(phone, lengths, sizeof(size_t) * (count + 1)))){
+		free(lengths);
+		return ERROR_CODE;
+	}
+	free(lengths);
+	for(index = 0; index < count; ++ index){
+		if(strings[index].length > 0){
+			ERROR_PROPAGATE(async_data_write_start(phone, strings[index].value, strings[index].length));
+		}
+	}
+	return EOK;
+}
+
+size_t * prepare_lengths(const measured_string_ref strings, size_t count){
+	size_t * lengths;
+	size_t index;
+	size_t length;
+
+	lengths = (size_t *) malloc(sizeof(size_t) * (count + 1));
+	if(! lengths){
+		return NULL;
+	}
 	length = 0;
-	for( index = 0; index < count; ++ index ){
-		lengths[ index ] = strings[ index ].length;
-		length += lengths[ index ] + 1;
-	}
-	lengths[ count ] = length;
+	for(index = 0; index < count; ++ index){
+		lengths[index] = strings[index].length;
+		length += lengths[index] + 1;
+	}
+	lengths[count] = length;
 	return lengths;
 }
Index: uspace/srv/net/structures/module_map.c
===================================================================
--- uspace/srv/net/structures/module_map.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/module_map.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -47,13 +47,15 @@
 #include "module_map.h"
 
-GENERIC_CHAR_MAP_IMPLEMENT( modules, module_t )
+GENERIC_CHAR_MAP_IMPLEMENT(modules, module_t)
 
-int add_module( module_ref * module, modules_ref modules, const char * name, const char * filename, services_t service, task_id_t task_id, connect_module_t connect_module ){
+int add_module(module_ref * module, modules_ref modules, const char * name, const char * filename, services_t service, task_id_t task_id, connect_module_t connect_module){
 	ERROR_DECLARE;
 
-	module_ref	tmp_module;
+	module_ref tmp_module;
 
-	tmp_module = ( module_ref ) malloc( sizeof( module_t ));
-	if( ! tmp_module ) return ENOMEM;
+	tmp_module = (module_ref) malloc(sizeof(module_t));
+	if(! tmp_module){
+		return ENOMEM;
+	}
 	tmp_module->task_id = task_id;
 	tmp_module->phone = 0;
@@ -63,34 +65,40 @@
 	tmp_module->service = service;
 	tmp_module->connect_module = connect_module;
-	if( ERROR_OCCURRED( modules_add( modules, tmp_module->name, 0, tmp_module ))){
-		free( tmp_module );
+	if(ERROR_OCCURRED(modules_add(modules, tmp_module->name, 0, tmp_module))){
+		free(tmp_module);
 		return ERROR_CODE;
 	}
-	if( module ) * module = tmp_module;
+	if(module){
+		*module = tmp_module;
+	}
 	return EOK;
 }
 
-module_ref get_running_module( modules_ref modules, char * name ){
-	module_ref	module;
+module_ref get_running_module(modules_ref modules, char * name){
+	module_ref module;
 
-	module = modules_find( modules, name, 0 );
-	if( ! module ) return NULL;
-	if( ! module->task_id ){
-		module->task_id = spawn( module->filename );
-		if( ! module->task_id ) return NULL;
+	module = modules_find(modules, name, 0);
+	if(! module){
+		return NULL;
 	}
-	if( ! module->phone ){
-		module->phone = module->connect_module( module->service );
+	if(! module->task_id){
+		module->task_id = spawn(module->filename);
+		if(! module->task_id){
+			return NULL;
+		}
+	}
+	if(! module->phone){
+		module->phone = module->connect_module(module->service);
 	}
 	return module;
 }
 
-task_id_t spawn( const char * fname ){
-	const char * argv[ 2 ];
-	task_id_t	res;
+task_id_t spawn(const char * fname){
+	const char * argv[2];
+	task_id_t res;
 
-	argv[ 0 ] = fname;
-	argv[ 1 ] = NULL;
-	res = task_spawn( fname, argv );
+	argv[0] = fname;
+	argv[1] = NULL;
+	res = task_spawn(fname, argv);
 
 	return res;
Index: uspace/srv/net/structures/packet/packet.c
===================================================================
--- uspace/srv/net/structures/packet/packet.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/packet/packet.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -59,14 +59,14 @@
  *  @param[in] packet_id The packet identifier.
  */
-#define PACKET_MAP_PAGE( packet_id )	((( packet_id ) - 1 ) / PACKET_MAP_SIZE )
+#define PACKET_MAP_PAGE(packet_id)	(((packet_id) - 1) / PACKET_MAP_SIZE)
 
 /** Returns the packet index in the corresponding packet map page.
  *  @param[in] packet_id The packet identifier.
  */
-#define PACKET_MAP_INDEX( packet_id )	((( packet_id ) - 1 ) % PACKET_MAP_SIZE )
+#define PACKET_MAP_INDEX(packet_id)	(((packet_id) - 1) % PACKET_MAP_SIZE)
 
 /** Type definition of the packet map page.
  */
-typedef packet_t packet_map_t[ PACKET_MAP_SIZE ];
+typedef packet_t packet_map_t[PACKET_MAP_SIZE];
 /** Type definition of the packet map page pointer.
  */
@@ -77,5 +77,5 @@
  *  @see generic_field.h
  */
-GENERIC_FIELD_DECLARE( gpm, packet_map_t );
+GENERIC_FIELD_DECLARE(gpm, packet_map_t);
 
 /** Releases the packet.
@@ -84,5 +84,5 @@
  *  @returns EINVAL if the packet is not valid.
  */
-int packet_destroy( packet_t packet );
+int packet_destroy(packet_t packet);
 
 /** Packet map global data.
@@ -91,77 +91,83 @@
 	/** Safety lock.
 	 */
-	fibril_rwlock_t	lock;
+	fibril_rwlock_t lock;
 	/** Packet map.
 	 */
-	gpm_t	packet_map;
+	gpm_t packet_map;
 } pm_globals;
 
-GENERIC_FIELD_IMPLEMENT( gpm, packet_map_t );
-
-int packet_destroy( packet_t packet ){
-	if( ! packet_is_valid( packet )) return EINVAL;
-	return munmap( packet, packet->length );
-}
-
-int pm_init( void ){
+GENERIC_FIELD_IMPLEMENT(gpm, packet_map_t);
+
+int packet_destroy(packet_t packet){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	return munmap(packet, packet->length);
+}
+
+int pm_init(void){
 	ERROR_DECLARE;
 
-	fibril_rwlock_initialize( & pm_globals.lock );
-	fibril_rwlock_write_lock( & pm_globals.lock );
-	ERROR_PROPAGATE( gpm_initialize( & pm_globals.packet_map ));
-	fibril_rwlock_write_unlock( & pm_globals.lock );
-	return EOK;
-}
-
-packet_t pm_find( packet_id_t packet_id ){
+	fibril_rwlock_initialize(&pm_globals.lock);
+	fibril_rwlock_write_lock(&pm_globals.lock);
+	ERROR_PROPAGATE(gpm_initialize(&pm_globals.packet_map));
+	fibril_rwlock_write_unlock(&pm_globals.lock);
+	return EOK;
+}
+
+packet_t pm_find(packet_id_t packet_id){
 	packet_map_ref map;
 	packet_t packet;
 
-	if( ! packet_id ) return NULL;
-	fibril_rwlock_read_lock( & pm_globals.lock );
-	if( packet_id > PACKET_MAP_SIZE * gpm_count( & pm_globals.packet_map )){
-		fibril_rwlock_read_unlock( & pm_globals.lock );
-		return NULL;
-	}
-	map = gpm_get_index( & pm_globals.packet_map, PACKET_MAP_PAGE( packet_id ));
-	if( ! map ){
-		fibril_rwlock_read_unlock( & pm_globals.lock );
-		return NULL;
-	}
-	packet = ( * map )[ PACKET_MAP_INDEX( packet_id ) ];
-	fibril_rwlock_read_unlock( & pm_globals.lock );
+	if(! packet_id){
+		return NULL;
+	}
+	fibril_rwlock_read_lock(&pm_globals.lock);
+	if(packet_id > PACKET_MAP_SIZE * gpm_count(&pm_globals.packet_map)){
+		fibril_rwlock_read_unlock(&pm_globals.lock);
+		return NULL;
+	}
+	map = gpm_get_index(&pm_globals.packet_map, PACKET_MAP_PAGE(packet_id));
+	if(! map){
+		fibril_rwlock_read_unlock(&pm_globals.lock);
+		return NULL;
+	}
+	packet = (*map)[PACKET_MAP_INDEX(packet_id)];
+	fibril_rwlock_read_unlock(&pm_globals.lock);
 	return packet;
 }
 
-int pm_add( packet_t packet ){
+int pm_add(packet_t packet){
 	ERROR_DECLARE;
 
 	packet_map_ref map;
 
-	if( ! packet_is_valid( packet )) return EINVAL;
-	fibril_rwlock_write_lock( & pm_globals.lock );
-	if( PACKET_MAP_PAGE( packet->packet_id ) < gpm_count( & pm_globals.packet_map )){
-		map = gpm_get_index( & pm_globals.packet_map, PACKET_MAP_PAGE( packet->packet_id ));
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	fibril_rwlock_write_lock(&pm_globals.lock);
+	if(PACKET_MAP_PAGE(packet->packet_id) < gpm_count(&pm_globals.packet_map)){
+		map = gpm_get_index(&pm_globals.packet_map, PACKET_MAP_PAGE(packet->packet_id));
 	}else{
 		do{
-			map = ( packet_map_ref ) malloc( sizeof( packet_map_t ));
-			if( ! map ){
-				fibril_rwlock_write_unlock( & pm_globals.lock );
+			map = (packet_map_ref) malloc(sizeof(packet_map_t));
+			if(! map){
+				fibril_rwlock_write_unlock(&pm_globals.lock);
 				return ENOMEM;
 			}
-			bzero( map, sizeof( packet_map_t ));
-			if(( ERROR_CODE = gpm_add( & pm_globals.packet_map, map )) < 0 ){
-				fibril_rwlock_write_unlock( & pm_globals.lock );
-				free( map );
+			bzero(map, sizeof(packet_map_t));
+			if((ERROR_CODE = gpm_add(&pm_globals.packet_map, map)) < 0){
+				fibril_rwlock_write_unlock(&pm_globals.lock);
+				free(map);
 				return ERROR_CODE;
 			}
-		}while( PACKET_MAP_PAGE( packet->packet_id ) >= gpm_count( & pm_globals.packet_map ));
-	}
-	( * map )[ PACKET_MAP_INDEX( packet->packet_id ) ] = packet;
-	fibril_rwlock_write_unlock( & pm_globals.lock );
-	return EOK;
-}
-
-void pm_destroy( void ){
+		}while(PACKET_MAP_PAGE(packet->packet_id) >= gpm_count(&pm_globals.packet_map));
+	}
+	(*map)[PACKET_MAP_INDEX(packet->packet_id)] = packet;
+	fibril_rwlock_write_unlock(&pm_globals.lock);
+	return EOK;
+}
+
+void pm_destroy(void){
 	int count;
 	int index;
@@ -169,30 +175,32 @@
 	packet_t packet;
 
-	fibril_rwlock_write_lock( & pm_globals.lock );
-	count = gpm_count( & pm_globals.packet_map );
-	while( count > 0 ){
-		map = gpm_get_index( & pm_globals.packet_map, count - 1 );
-		for( index = PACKET_MAP_SIZE - 1; index >= 0; -- index ){
-			packet = ( * map )[ index ];
-			if( packet_is_valid( packet )){
-				munmap( packet, packet->length );
+	fibril_rwlock_write_lock(&pm_globals.lock);
+	count = gpm_count(&pm_globals.packet_map);
+	while(count > 0){
+		map = gpm_get_index(&pm_globals.packet_map, count - 1);
+		for(index = PACKET_MAP_SIZE - 1; index >= 0; -- index){
+			packet = (*map)[index];
+			if(packet_is_valid(packet)){
+				munmap(packet, packet->length);
 			}
 		}
 	}
-	gpm_destroy( & pm_globals.packet_map );
+	gpm_destroy(&pm_globals.packet_map);
 	// leave locked
 }
 
-int pq_add( packet_t * first, packet_t packet, size_t order, size_t metric ){
-	packet_t	item;
-
-	if(( ! first ) || ( ! packet_is_valid( packet ))) return EINVAL;
-	pq_set_order( packet, order, metric );
-	if( packet_is_valid( * first )){
+int pq_add(packet_t * first, packet_t packet, size_t order, size_t metric){
+	packet_t item;
+
+	if((! first) || (! packet_is_valid(packet))){
+		return EINVAL;
+	}
+	pq_set_order(packet, order, metric);
+	if(packet_is_valid(*first)){
 		item = * first;
 		do{
-			if( item->order < order ){
-				if( item->next ){
-					item = pm_find( item->next );
+			if(item->order < order){
+				if(item->next){
+					item = pm_find(item->next);
 				}else{
 					item->next = packet->packet_id;
@@ -204,27 +212,31 @@
 				packet->next = item->packet_id;
 				item->previous = packet->packet_id;
-				item = pm_find( packet->previous );
-				if( item ){
+				item = pm_find(packet->previous);
+				if(item){
 					item->next = packet->packet_id;
 				}else{
-					* first = packet;
+					*first = packet;
 				}
 				return EOK;
 			}
-		}while( packet_is_valid( item ));
-	}
-	* first = packet;
-	return EOK;
-}
-
-packet_t pq_find( packet_t packet, size_t order ){
-	packet_t	item;
-
-	if( ! packet_is_valid( packet )) return NULL;
-	if( packet->order == order ) return packet;
-	item = pm_find( packet->next );
-	while( item && ( item != packet )){
-		item = pm_find( item->next );
-		if( item->order == order ){
+		}while(packet_is_valid(item));
+	}
+	*first = packet;
+	return EOK;
+}
+
+packet_t pq_find(packet_t packet, size_t order){
+	packet_t item;
+
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
+	if(packet->order == order){
+		return packet;
+	}
+	item = pm_find(packet->next);
+	while(item && (item != packet)){
+		item = pm_find(item->next);
+		if(item->order == order){
 			return item;
 		}
@@ -233,26 +245,32 @@
 }
 
-int	pq_insert_after( packet_t packet, packet_t new_packet ){
-	packet_t	item;
-
-	if( !( packet_is_valid( packet ) && packet_is_valid( new_packet ))) return EINVAL;
+int pq_insert_after(packet_t packet, packet_t new_packet){
+	packet_t item;
+
+	if(!(packet_is_valid(packet) && packet_is_valid(new_packet))){
+		return EINVAL;
+	}
 	new_packet->previous = packet->packet_id;
 	new_packet->next = packet->next;
-	item = pm_find( packet->next );
-	if( item ) item->previous = new_packet->packet_id;
+	item = pm_find(packet->next);
+	if(item){
+		item->previous = new_packet->packet_id;
+	}
 	packet->next = new_packet->packet_id;
 	return EOK;
 }
 
-packet_t pq_detach( packet_t packet ){
+packet_t pq_detach(packet_t packet){
 	packet_t next;
 	packet_t previous;
 
-	if( ! packet_is_valid( packet )) return NULL;
-	next = pm_find( packet->next );
-	if( next ){
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
+	next = pm_find(packet->next);
+	if(next){
 		next->previous = packet->previous;
-		previous = pm_find( next->previous );
-		if( previous ){
+		previous = pm_find(next->previous);
+		if(previous){
 			previous->next = next->packet_id;
 		}
@@ -263,6 +281,8 @@
 }
 
-int pq_set_order( packet_t packet, size_t order, size_t metric ){
-	if( ! packet_is_valid( packet )) return EINVAL;
+int pq_set_order(packet_t packet, size_t order, size_t metric){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
 	packet->order = order;
 	packet->metric = metric;
@@ -270,33 +290,45 @@
 }
 
-int pq_get_order( packet_t packet, size_t * order, size_t * metric ){
-	if( ! packet_is_valid( packet )) return EINVAL;
-	if( order ) * order = packet->order;
-	if( metric ) * metric = packet->metric;
-	return EOK;
-}
-
-void pq_destroy( packet_t first, void ( * packet_release )( packet_t packet )){
-	packet_t	actual;
-	packet_t	next;
+int pq_get_order(packet_t packet, size_t * order, size_t * metric){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	if(order){
+		*order = packet->order;
+	}
+	if(metric){
+		*metric = packet->metric;
+	}
+	return EOK;
+}
+
+void pq_destroy(packet_t first, void (*packet_release)(packet_t packet)){
+	packet_t actual;
+	packet_t next;
 
 	actual = first;
-	while( packet_is_valid( actual )){
-		next = pm_find( actual->next );
+	while(packet_is_valid(actual)){
+		next = pm_find(actual->next);
 		actual->next = 0;
 		actual->previous = 0;
-		if( packet_release ) packet_release( actual );
+		if(packet_release){
+			packet_release(actual);
+		}
 		actual = next;
 	}
 }
 
-packet_t pq_next( packet_t packet ){
-	if( ! packet_is_valid( packet )) return NULL;
-	return pm_find( packet->next );
-}
-
-packet_t pq_previous( packet_t packet ){
-	if( ! packet_is_valid( packet )) return NULL;
-	return pm_find( packet->previous );
+packet_t pq_next(packet_t packet){
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
+	return pm_find(packet->next);
+}
+
+packet_t pq_previous(packet_t packet){
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
+	return pm_find(packet->previous);
 }
 
